<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePhoneprovidersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: phoneproviders
         */
        Schema::create('phoneproviders', function ($table) {
            $table->increments('id');
            $table->string('name', 50)->nullable();
            $table->text('description')->nullable();
            $table->text('image')->nullable();
            $table->string('link', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('phoneproviders');
    }
}
