Lavalite package that provides phoneproviders management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `superrobota/phoneproviders`.

    "superrobota/phoneproviders": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Superrobota\Phoneproviders\Providers\PhoneprovidersServiceProvider::class,

And also add it to alias

    'Phoneproviders'  => Superrobota\Phoneproviders\Facades\Phoneproviders::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Superrobota\\PhoneprovidersTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Superrobota\Phoneproviders\Providers\PhoneprovidersServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Superrobota\Phoneproviders\Providers\PhoneprovidersServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Superrobota\Phoneproviders\Providers\PhoneprovidersServiceProvider" --tag="view"


## Usage


